Subject: Re: linux-next: Tree for May 23 (sound/soc/codecs)

From: Randy Dunlap <[email-masked]>
Date: Mon, 23 May 2011 18:21:51 -0700

On 05/23/11 17:08, Mark Brown wrote:
> On Mon, May 23, 2011 at 03:53:43PM -0700, Randy Dunlap wrote:
>> On Tue, 24 May 2011 06:47:28 +0800 Mark Brown wrote:
> 
>>> case, please talk to the architecture maintainers about this - it's an
>>> issue in the architecture GPIO support (or lack thereof) rather than a
>>> driver problem.
> 
>> except that a driver should not assume that defines like
>> GPIOF_OUT_INIT_LOW are always available.
> 
> No, really we should.  The GPIO APIs are stubbed out when not in use for
> a very good reason, think about the usability here.  The goal here isn't
> to litter the code with ifdefs - if architectures aren't able to keep up
> with API changes they should convert to using gpiolib so this stuff
> happens automatically (indeed, I can't think of any good reason for an
> architecture to not be using gpiolib at this point).

No, I would say that there are a lot of drivers in sound/soc/codecs/
that are missing some GPIO pieces in the Kconfig file.

>>> Also adding Dmitry who submitted the driver - Randy, please try to
>>> remember to CC relevant people.
> 
>> Which driver did Dmitry submit?  how would I know that?
>> I don't download every linux-next git tree -- just linux-next tarballs.
> 
> I *strongly* suggest looking at git if you want to find relevant people
> to mail; the internal documentation in the code really isn't a terribly
> useful guide, the authors listed in the code often bear no relation to
> who's actually working on it at the current time.
> 
>> and wm8915.c says:
>> MODULE_AUTHOR("Mark Brown <[email-masked]>");
> 
> You've clearly not looked at MAINTAINERS for this one.

It's not listed in the MAINTAINERS file.
But maybe you mean scripts/get_maintainer.pl, which I did try.
I found that using git log <that source file name> was better info
than using scripts/get_maintainer.pl.

-- 
~Randy
*** Remember to use Documentation/SubmitChecklist when testing your code ***